//
// ============================
//  file name : setminwidth.js
// ============================
//

// setminwidth
function setMinWidth(idName,minW) {
	if(!document.getElementById(idName)) { return; };
	var windowWidth;
	var html = document.getElementsByTagName("html")[0];
	var body = document.body;
	var element = document.getElementById(idName);
	element.style.overflow = "hidden";
	
	function onset() {
		if (self.innerWidth) {
			windowWidth = self.innerWidth;
		} else if (document.documentElement && document.documentElement.clientWidth){
			windowWidth = document.documentElement.clientWidth;
		}
		
		if (windowWidth < minW){
			element.style.width = minW + "px";
		} else {
			element.style.width = "100%";
		}
	}
	onset();
	window.onresize = onset;
};

